### Method

# Clutter InputDevice get_device_name

#### Declaration [src]

    const gchar*
    clutter_input_device_get_device_name (
      ClutterInputDevice* device
    )

#### Description [src]

Retrieves the name of the `device`.

#### Return value

Type: `const gchar*`

The name of the device, or `NULL`. The returned string is owned by the `ClutterInputDevice` and should never be modified or freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.